/***************************************************************************
                          kaboutdlg.cpp  -  description
                             -------------------
    begin                : Fri Dec 20 2002
    copyright            : (C) 2002 by Pedro J. Romero (Cronel)
    email                : cronel@millicom.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kapplication.h>
#include <kurllabel.h>
#include <kiconloader.h>
#include <klocale.h>

#include "kaboutdlg.h"

#ifdef HAVE_CONFIG_H
#include "config.h"
#else
#define VERSION "(unknown)"
#endif

KAboutDlg::KAboutDlg(QWidget *parent, const char *name ) : KAboutDlgUI(parent,name,true)
{
        versionLabel->setText( i18n("Flame / Twin Peaks Saver Version %1").arg( VERSION ) );
        picLabel->setPixmap( KGlobal::iconLoader()->loadIcon("kscreensaver", KIcon::Desktop,0) );
        urlLabel->setText( "<cronel@millicom.com.ar>" );
        urlLabel->setURL( "cronel@millicom.com.ar" );

        adjustSize();
        setFixedSize( size() );
}

KAboutDlg::~KAboutDlg()
{
}

void KAboutDlg::urlClicked( const QString &url )
{
        KApplication::kApplication()->invokeMailer( url, i18n("Flame / TP screen saver") );
}

