/***************************************************************************
                          ktextconfig.h  -  description
                             -------------------
    begin                : Sun Dec 15 2002
    copyright            : (C) 2002 by Pedro J. Romero (Cronel)
    email                : pejro@millicom.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KTEXTCONFIG_H
#define KTEXTCONFIG_H

#include <qwidget.h>
#include <ktextconfigui.h>

#include "kflamesaver.h"

/**
  *@author Pedro J. Romero (Cronel)
  */

#define TEXT_COUNT      (7)

class QLineEdit;
class QSpinBox;
  
class KTextConfig : public KTextConfigUI
{
    Q_OBJECT
    public: 
	KTextConfig(QWidget *parent=0, const char *name=0);
	~KTextConfig();

        void setData( QList<KTextInfo> list, int frames, const QFont &font );
        QList<KTextInfo> textInfo();
        QFont font();
        int frames();

        int exec();
    protected:
        QLineEdit       *m_texts[TEXT_COUNT];
        QSpinBox        *m_frames[TEXT_COUNT];
        QSpinBox        *m_xPos[TEXT_COUNT];
        QSpinBox        *m_yPos[TEXT_COUNT];
};

#endif
